package myClasses;

/**
 * CalcUtil.java - number adding program
 *
 * @version 1.02 11/11/2004
 * @author  John King
 */
import java.io.*;
public class CalcUtil {

 private static String inLine;
 private static InputStreamReader inStream;
 private static BufferedReader inBuf;
 public static double getNumberFromKeyboard(String promptMsg) {
	inLine = null;
	inStream = new InputStreamReader(System.in);
    inBuf = new BufferedReader(inStream);
	double outValue = 0;
	boolean needGoodValue = true;
	while (needGoodValue) {
	    System.out.print(promptMsg);
		try {
			inLine = inBuf.readLine();
			outValue = Double.parseDouble(inLine);
			needGoodValue = false;
		}
		catch (IOException e) {
			System.out.println("\n\n*** Keyboard Error!***\n\n");
			needGoodValue = false;
			return 0;
		}
		catch (NumberFormatException e) {
			System.out.println("\n*** Entered Value '"
			             + inLine + "' Not Numeric!***");
			needGoodValue = true;
		}
	} // end while
	return outValue;
 } // end getNumberFromKeyboard

 public static char getOperatorFromKeyboard(String promptMsg) {
	inLine = null;
	inStream = new InputStreamReader(System.in);
    inBuf = new BufferedReader(inStream);
	char outValue = ' ';
	boolean needGoodValue = true;
	while (needGoodValue) {
    	System.out.print(promptMsg);
		try {
			inLine = inBuf.readLine();
			if (inLine.length() > 1 || inLine.length() < 1) {
				System.out.println("\nOperator error! (Please enter +, -, *, or /)");
			}
			else {
				outValue = inLine.charAt(0);
				if (outValue == '+'
				  || outValue == '-'
				  || outValue == '*'
				  || outValue == '/')
				  needGoodValue = false;
				else
				System.out.println("\nOperator error! (Please enter +, -, *, or /)");
			}
		}
		catch (IOException e) {
			System.out.println("\n\n*** Keyboard Error!***\n\n");
			needGoodValue = false;
			return 0;
		}
	} // end while
	return outValue;
 } // end getOperatorFromKeyboard

 public static double calculateValue(double nbr1,char operator,double nbr2,boolean printit) {
	 double nbr3 = 0;
		switch(operator)
		{
			case '+':
				nbr3 = nbr1 + nbr2;
				break;
			case '-':
				nbr3 = nbr1 - nbr2;
				break;
			case '*':
				nbr3 = nbr1 * nbr2;
				break;
			case '/':
				if (nbr2 == 0)
					nbr3 = 0;
				else
					nbr3 = nbr1 / nbr2;
				break;
			default:
				System.out.println("Bad operator");
		}
		if (printit)
			System.out.println("\n"
			                 + nbr1 + " "  + operator + " "
			                 + nbr2 + " = " + nbr3 + "\n");
	    return nbr3;
	} // end calculateValue

} // end of CalcUtil class